Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.ant
Class AntTarget

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.ant.AntTarget

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, org.gradle.util.Configurable<Task>

    public class AntTarget

extends org.gradle.api.internal.ConventionTask

A task which executes an Ant target.

Field Summary

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`AntTarget()`

Method Summary
`protected void` | `executeAntTarget()`
`File` | `getBaseDir()` Returns the Ant project base directory to use when executing the target.
`String` | `getDescription()` Returns the description of this task.
`org.apache.tools.ant.Target` | `getTarget()` Returns the Ant target to execute.
`void` | `setBaseDir(File baseDir)` Sets the Ant project base directory to use when executing the target.
`void` | `setDescription(String description)` Sets a description for this task.
`void` | `setTarget(org.apache.tools.ant.Target target)` Sets the Ant target to execute.

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AntTarget

    public AntTarget()

Method Detail

### executeAntTarget

    protected void executeAntTarget()

### getTarget

    public org.apache.tools.ant.Target getTarget()

  Returns the Ant target to execute.

### setTarget

    public void setTarget(org.apache.tools.ant.Target target)

  Sets the Ant target to execute.

### getBaseDir

    public File getBaseDir()

  Returns the Ant project base directory to use when executing the target.

### setBaseDir

    public void setBaseDir(File baseDir)

  Sets the Ant project base directory to use when executing the target.

### getDescription

    public String getDescription()

  Returns the description of this task.

  Specified by:
    `getDescription` in interface `Task`
  Overrides:
    `getDescription` in class `org.gradle.api.internal.AbstractTask`
  Returns:
    the description. May return null.

### setDescription

    public void setDescription(String description)

  Sets a description for this task. This should describe what the task does to the user of the build. The description will be displayed when `gradle tasks` is called.

  Specified by:
    `setDescription` in interface `Task`
  Overrides:
    `setDescription` in class `org.gradle.api.internal.AbstractTask`
  Parameters:
    `description` - The description of the task. Might be null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD